com.sun.grid.jgdi.configuration

## Interface JGDIAnswer

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    JGDIAnswerImpl

      public interface JGDIAnswer
      extends GEObject

  Java representation of the cull object AN_Type defined in sge_all_listsL.template

  Warning: The JGDIAnswer class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `int` | `getQuality()` Get the value of the quality attribute.
    `int` | `getStatus()` Get the value of the status attribute.
    `java.lang.String` | `getText()` Get the value of the text attribute.
    `boolean` | `isSetQuality()` Determine if any quality attribute is set
    `boolean` | `isSetStatus()` Determine if any status attribute is set
    `boolean` | `isSetText()` Determine if any text attribute is set
    `void` | `setQuality(int aQuality)` Set the quality attribute.
    `void` | `setStatus(int aStatus)` Set the status attribute.
    `void` | `setText(java.lang.String aText)` Set the text attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setStatus

          void setStatus(int aStatus)

      Set the status attribute.
      Parameters:
        `aStatus` - the new value for the status attribute

    - #### getStatus

          int getStatus()

      Get the value of the status attribute.
      Returns:
        the value of the status attribute

    - #### isSetStatus

          boolean isSetStatus()

      Determine if any status attribute is set
      Returns:
        `true` if the status attribute is set

    - #### setText

          void setText(java.lang.String aText)

      Set the text attribute.
      Parameters:
        `aText` - the new value for the text attribute

    - #### getText

          java.lang.String getText()

      Get the value of the text attribute.
      Returns:
        the value of the text attribute

    - #### isSetText

          boolean isSetText()

      Determine if any text attribute is set
      Returns:
        `true` if the text attribute is set

    - #### setQuality

          void setQuality(int aQuality)

      Set the quality attribute.
      Parameters:
        `aQuality` - the new value for the quality attribute

    - #### getQuality

          int getQuality()

      Get the value of the quality attribute.
      Returns:
        the value of the quality attribute

    - #### isSetQuality

          boolean isSetQuality()

      Determine if any quality attribute is set
      Returns:
        `true` if the quality attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.